Subject: Re: bug#16969: Isearch: lazy-highlight face sometimes has foreground and background the same colour.

From: Juri Linkov <[email-masked]>
Date: Sat, 08 Mar 2014 23:55:45 +0200

> An effective solution would be to give the `lazy-highlight' face a
> foreground colour, e.g. black.

It's useful to keep the foreground color to help seeing the context
especially when a match is highlighted on a font-look foreground.

But the problem needs to be fixed anyway.  So maybe we could add the
face attribute :distant-foreground to the `lazy-highlight' face
that could be applied only when the background color is near to the
foreground color like a cyan foreground on a cyan background.